type symbol = string

type expr =
    TInt of int
  | TAdd of expr * expr
  | TMul of expr * expr
  | TVar of symbol
  | TLet of symbol * expr * expr
  | TApp of expr * expr
  | TFun of symbol * expr
  | TUnit
  | TSeq of expr * expr
  | TRef of expr
  | TAffect of expr * expr
  | TDeref of expr

val print_expr : Format.formatter -> expr -> unit
